
# htonll

Converts an unsigned 64-bit long integer from host byte order to network byte order.

```
uint64_t htonll(uint64_t)
```

The `htonll` function converts an unsigned 64-bit long integer from host-byte order to network-byte order.

**Parent topic:**[DTrace Function Reference](../reference/dtrace_functions.md)

